Gets the details about a specific inventory-in orders within the WineDirect fulfillment system
curl --request GET \
--url https://api.example.com/api/v1/Transfers/INs/{supplierId}/{orderNumber} \
--header 'Authorization: <api-key>'import requests
url = "https://api.example.com/api/v1/Transfers/INs/{supplierId}/{orderNumber}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.example.com/api/v1/Transfers/INs/{supplierId}/{orderNumber}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"isSuccess": true,
"message": "<string>",
"payload": {
"header": {
"supplierId": "<string>",
"rowId": 123,
"supplierName": "<string>",
"warehouseCode": "<string>",
"warehouseName": "<string>",
"referenceNumber": "<string>",
"orderNumber": "<string>",
"submittedDate": "2023-11-07T05:31:56Z",
"deliveryMethodCode": "<string>",
"deliveryMethodName": "<string>",
"pickupSiteId": "<string>",
"pickupSiteCode": "<string>",
"pickupSiteLine1": "<string>",
"pickupSiteLine2": "<string>",
"pickupSiteCity": "<string>",
"pickupSiteStateCode": "<string>",
"pickupSitePostalCode": "<string>",
"pickupSiteCountryCode": "<string>",
"pickupSitePhone": "<string>",
"pickupSiteFax": "<string>",
"expectedDate": "2023-11-07T05:31:56Z",
"statusCode": "<string>",
"statusName": "<string>",
"closedDate": "2023-11-07T05:31:56Z",
"notificationStatusCode": "<string>",
"notificationStatusName": "<string>",
"notificationStatusMessage": "<string>",
"isCancellable": true,
"isEditable": true,
"creationDate": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastUpdateDate": "2023-11-07T05:31:56Z",
"lastUpdatedBy": "<string>"
},
"lineItems": [
{
"supplierId": "<string>",
"headerRowId": "<string>",
"orderNumber": "<string>",
"lineNumber": 123,
"inventoryItemId": "<string>",
"wineDirectSku": "<string>",
"sku": "<string>",
"skuDescription": "<string>",
"qtyOrdered": 123,
"qtyReceived": 123,
"subInventoryCode": "<string>",
"subInventoryName": "<string>",
"creationDate": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastUpdateDate": "2023-11-07T05:31:56Z",
"lastUpdatedBy": "<string>"
}
],
"notes": [
{
"supplierId": "<string>",
"orderNumber": "<string>",
"typeCode": "<string>",
"noteTimestamp": "2023-11-07T05:31:56Z",
"noteText": "<string>",
"creationDate": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastUpdateDate": "2023-11-07T05:31:56Z",
"lastUpdatedBy": "<string>"
}
]
}
}Gets the details about a specific inventory-in orders within the WineDirect fulfillment system
GET
/
api
/
v1
/
Transfers
/
INs
/
{supplierId}
/
{orderNumber}
Gets the details about a specific inventory-in orders within the WineDirect fulfillment system
Authorizations
Enter the Bearer AccessToken; Example: 'Bearer 12345abcdef'
Path Parameters
SupplierId is the unique ID for the owner of items in the system
The order number of the IN. You can get this from the GET /INs call
Was this page helpful?
Submits an Inventory-IN request to be processed by WineDirectGets a list of inventory-out orders within the WineDirect fulfillment system
⌘I